Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reviews
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Reviews

index

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
GET
/v1/reviews

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Query Params

Responses

🟢200
application/json
successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/reviews?revenue_center_id=undefined&customer=undefined&customer_id=undefined&customer_type_ids=undefined&status=undefined&score=undefined&start_at=2025-05-06&end_at=2025-05-07&emails=undefined&page=1&per_page=50&order_by=undefined&order_direction=asc' \
--header 'CheckandPlace-Access-Token: <api-key>'
Response Response Example
{
    "reviews": [
        {
            "id": "ff610390-3871-4914-bfae-425b19f8e866",
            "status": "read",
            "platform": "checkandplace",
            "created_at": "06.05.2025 18:00",
            "calendar_date": "06.05.2025 18:00",
            "feedback": "Example feedback",
            "score": 4,
            "food": 3,
            "service": 4,
            "setting": 2,
            "customer_name": "Big Jhonny",
            "customer_id": "667c37cc-e326-4797-9887-624222fd5bed",
            "revenue_center_name": "Restaurant"
        }
    ],
    "page_information": {
        "has_next_page": true,
        "current_page": 1,
        "total_count": 84,
        "page_count": 2
    },
    "averages": {
        "score": 4.2,
        "food": 4.1,
        "service": 3.9,
        "setting": 3.8
    }
}
Modified at 2026-05-06 13:06:45
Previous
index
Next
show
Built with